PDF Designs API
List PDF Designs
Заголовок раздела «List PDF Designs»List all PDF Designs for an account:
GET /pdf_designsResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 14, "sourceID": null, "name": "Default Dashboard", "category": "dashboard", "disabled": false, "created_at": "2023-08-31T08:21: 04-05: 00", "updated_at": "2023-08-31T08:21: 04-05: 00", "nodeID": "..." }, { "id": 13, "sourceID": null, "name": "Default Project Summary", "category": "project_summary", "disabled": false, "created_at": "2023-08-31T08:21: 04-05: 00", "updated_at": "2023-08-31T08:21: 04-05: 00", "nodeID": "..." }, { "id": 12, "sourceID": null, "name": "Default Workflow Summary", "category": "workflow_summary", "disabled": false, "created_at": "2023-08-31T08:21: 04-05: 00", "updated_at": "2023-08-31T08:21: 04-05: 00", "nodeID": "..." }]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of PDF Designs.
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of PDF Designs:
id
sourceID
category
created_at
name
disabled
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
name
disabled
category
Sorting
Заголовок раздела «Sorting»By default a collection of PDF Designs is sorted
ascending
by
created_at
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
name
created_at
updated_at
Get a single PDF Design
Заголовок раздела «Get a single PDF Design»GET /pdf_designs/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "category": "workflow_summary", "created_at": "2023-08-31T08:21:04-05:00", "css": "...", "disabled": false, "html": "...", "id": 12, "name": "Default Workflow Summary", "source": "R-Service", "sourceID": "213asdad", "updated_at": "2023-09-05T02:29:37-05:00", "nodeID": "..."}The response contains these fields .
Create a PDF Design
Заголовок раздела «Create a PDF Design»POST /pdf_designsWhen creating a new PDF Design these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "created_at": "...", "...": "..."}The response contains all fields of the created PDF Design and is similar to the response in Get a single PDF Design
Update a PDF Design
Заголовок раздела «Update a PDF Design»PATCH /pdf_designs/:idWhen updating a PDF Design these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "created_at": "...", "...": "..."}The response contains all fields of the updated PDF Design and is similar to the response in Get a single PDF Design
category
Readonly enum — The design category that was selected when the PDF design was created. Valid values are:
dashboard: Dashboardsproject_summary: Project Summariesworkflow_summary: Workflow Summaries
created_at
Readonly datetime — The date and time at which the PDF Design was created.
css
Optional text (max 64KB) — The CSS field is used to maintain the CSS code of the PDF design.
description
Optional text (max 64KB) — The Description field is used to describe the PDF design.
description_attachments
Writeonly attachments The attachments used in the Description field.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the design may no longer be used, for instance in approval tasks or dashboards.
html
Optional text (max 64KB) — The HTML field is used to maintain the HTML code of the PDF design.
id
Readonly integer — The unique ID of the PDF Design.
name
Required string (max 128) — The Name field is used to enter a name for the PDF design.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the PDF Design. If the PDF Design has no updates it contains the
created_at
value.